Subject: Re: Joysticks for Newbie? IIc and IIe.
From: [email-masked] (RUBYWAND)
Date: 6 Jan 1996 07:27:15 -0500
Newsgroups: comp.sys.apple2

Re question: What joystick can I use on a IIc and where can I buy one?
Same for a IIe. ...

    When John Dobbins emailed a question about stick wiring, it suddenly
dawned upon me that I've never seen a modern, pure PC stick converted for
use on an Apple II or a "PC-to-Apple converter cable". It seemed like a
good idea to actually try building a converter cable. 

    My PC stick is a standard CH Products "FlightStick". A resistance
measurement produced a disconcerting revelation: the X and Y pots top-out
around 100K Ohms-- 50K less than a standard Apple II stick! Fortunately,
you can compensate for the difference just fine by adding a bit of
capacitance. The finished converter is shown below:

         To PC Stick                             To Apple II
(15-pin female connector)             (9-pin male connector)

         [1]  and  [4] ------------------------------ [2]  +5V
         [2] --------------------------------------------[7]  Button 1
         [3] --------------------------------------------[5]  X-axis
         [6] --------------------------------------------[8]  Y-axis
         [7] --------------------------------------------[1]  Button 2
                                                          [3]  Ground
                                add 680 Ohm resistor between [7] & [3]
                                add 680 Ohm resistor between [1] & [3]
                                add .01 uF cap between [5] & [3]*
                                add .01 uF cap between [8] & [3]*

*NOTE: These C values are approximate. For standard 100K Ohm PC sticks,
..01 uF pretty well guarantees you will be able to cover the full Apple II
X and Y range (0-255).

However, you may find that the stick tops-out too early in the X and/or Y
max direction. For best control precision, what you want is for extreme
values to occur near the extremes of stick movement.

Use a program which continuously reads and displays X and Y stick values
and experiment with capacitance values between .002 uF and .01 uF to get
the best 'spread'.

   Values of .01 uf  (H-axis)  and .005 uF (Y-axis)  worked well on the PC
"FlightStick" when plugged into our Apple II+.